Role Types

List all role types

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Role types describe the nature of the directed link between contacts and companies, projects, or opportunities. They can also describe the nature of the directed link between companies and projects or opportunities.

Attributes

Attribute NameTypeDescriptionAttributes
selfreferenceURL of the role typeRead-only
Non-null
role_namestringName of the role type, e.g. Decision Maker (max 128 characters)Read-Write
Non-null
Required
Searchable
is_activebooleantrue if the role type can be assignedRead-Write
Non-null
Default value is true
Searchable

The list is sorted by ID and includes inactive role types.

Filtering Results

Add an entity query parameter to only return role types enabled for that type of record, e.g. GET /v1/role_types?entity=contact. Add is_active=true or is_active=false to only return active or inactive role types.

EntityQuery String
Contactcontact
Companycompany
Projectproject
Opportunityopportunity
Query Params
string
enum

Only return role types enabled for this type of record

Allowed:
boolean

true for only active role types, false for only inactive ones

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json